Last Comment Bug 500127 - Wrong text in Add exception dialog on invalid ssl certificates
: Wrong text in Add exception dialog on invalid ssl certificates
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: es-CL / Spanish (Chile) (show other bugs)
: unspecified
: x86 Windows XP
: -- trivial (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 22:09 PDT by alexisabarca
Modified: 2012-04-15 19:31 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
dialog with mispelled text (95.19 KB, image/jpeg)
2009-06-23 22:11 PDT, alexisabarca
no flags Details
addExceptionBrandedWarning2 patch (788 bytes, patch)
2009-06-24 08:28 PDT, Emilio Sepulveda
no flags Details | Diff | Splinter Review

Description alexisabarca 2009-06-23 22:09:03 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; es-CL; rv:1.9.1) Gecko/20090616 Firefox/3.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; es-CL; rv:1.9.1) Gecko/20090616 Firefox/3.5

On mencionated dialog said "no free space on device" before "banks, stores and other legitimate sites...."

Reproducible: Always

Steps to Reproduce:
1. Open HTTPS site with invalid SSL certificate
2. Clic on "Add exception"
3. Read first line of dialog under title
Actual Results:  
No free space on device

Expected Results:  
You want to add a security exception

version 3.5 RC, latest version
language es_cl (this report is translated to english)
Comment 1 alexisabarca 2009-06-23 22:11:42 PDT
Created attachment 384814 [details]
dialog with mispelled text
Comment 2 Kevin Brosnan 2009-06-23 22:28:56 PDT
Pike, this seems like a fairly bad issue for the Cert dialog.
Comment 3 Pascal Chevrel:pascalc 2009-06-23 22:50:21 PDT
Confirmed in RC2
Comment 4 Axel Hecht [:Pike] 2009-06-23 23:24:35 PDT
That's in http://hg.mozilla.org/releases/l10n-mozilla-1.9.1/es-CL/annotate/153e333e7dcd/security/manager/chrome/pippki/pippki.properties?mark=204-204#l204, addExceptionBrandedWarning2.

We should definitely try to get a fix ASAP for this.

Pascal, can you help triaging this one? I'm a little torn, the missing header is "You are about to override how %S identifies this site.", which is important but I think that the "Banks etc don't!" is intact and the rest of the UE is clear enough that we don't have to block on this.
Comment 5 Emilio Sepulveda 2009-06-24 08:28:33 PDT
Created attachment 384869 [details] [diff] [review]
addExceptionBrandedWarning2 patch

addExceptionBrandedWarning2: Replaced wrong text "No hay espacio libre..." with a correct "Usted está a punto de anular..."
Comment 6 Staś Małolepszy :stas 2009-09-08 09:10:40 PDT
Emilio, has this patch landed?
Comment 7 Axel Hecht [:Pike] 2009-11-26 16:50:42 PST
http://mxr.mozilla.org/l10n-mozilla1.9.2/source/es-CL/security/manager/chrome/pippki/pippki.properties#204 says yes.

Can this bug be closed?
Comment 8 Justin Dolske [:Dolske] 2012-04-15 19:31:28 PDT
Clearing review and closing per comment 6 and 7. Please file a new bug if there remaining issues.

Note You need to log in before you can comment on or make changes to this bug.